import { Construct } from 'constructs';
import { aws_lambda as lambda } from 'aws-cdk-lib';
import { BundlerConfig } from './bundling';
export interface RubyFunctionProps extends lambda.FunctionOptions {
    readonly sourceDirectory: string;
    readonly handler: string;
    readonly runtime: lambda.Runtime;
    readonly bundlerConfig?: BundlerConfig;
}
export declare class RubyFunction extends lambda.Function {
    static readonly DEFAULT_BUNDLER_CONFIG: BundlerConfig;
    constructor(scope: Construct, id: string, props: RubyFunctionProps);
}
